package demoInputValidation;

import java.awt.FlowLayout;
import javax.swing.JFrame;
import javax.swing.JPanel;

class MyGUI extends JFrame {

	private static final long serialVersionUID = 1L;

	MyPlainDocument dataModel;

	View dataView;

	public MyGUI(MyPlainDocument dataModel) {

		this.dataModel = dataModel;

		//dataView = new ViewNoExplicitControllersInstalled(dataModel);
		dataView = new ViewExplicitController(dataModel);

		// put components in a panel
		JPanel mainPanel = new JPanel();
		mainPanel.setLayout(new FlowLayout(FlowLayout.CENTER, 10, 0));
		mainPanel.add(dataView.getView());
		// make the panel this extended JFrame's content pane
		this.setContentPane(mainPanel);
	}
}
